
Foreman - Bug #12245

Nic::Bootable should be removed

10/21/2015 10:39 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Network   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2855

  

Description

The Nic::Bootable model should have been removed entirely in #10988, but instead only the deprecation warning (when using the

class) was removed.  The model should be deleted.

Related issues:

Related to Foreman - Refactor #10988: Remove 1.11 deprecations Closed 07/02/2015

Related to Foreman - Bug #10020: Smart Proxy DHCP does not set option 66 and ... Closed 04/03/2015

Associated revisions

Revision 93d1e467 - 01/11/2016 05:32 AM - Daniel Lobato Garcia

Fixes #12245 - Remove Nic::Bootable

Problem

On c1755e070ee10ee026e0b3996378368369c4ca83 I removed the deprecation of

using Nic::Bootable. However the model could still be used, now without

any warning.

Solution

Remove the model and other instances where it's called, and substitute

it by Nic::Managed with provision set to true.

History

#1 - 10/21/2015 10:39 AM - Dominic Cleal

- Related to Refactor #10988: Remove 1.11 deprecations added

#2 - 10/21/2015 10:39 AM - Dominic Cleal

- Related to Bug #10020: Smart Proxy DHCP does not set option 66 and 67 (nextServer, filename) on new DHCP Record creation added

#3 - 10/21/2015 01:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2855 added

- Pull request deleted ()

#4 - 11/20/2015 10:38 AM - The Foreman Bot

- Assignee set to Daniel Lobato Garcia

#5 - 01/11/2016 06:03 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 93d1e46773acc3bedf1c49ddbef1eb6a3187896e.
